clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

### - a -

- AnalyzeTemporaryDtors : clang::tidy::ClangTidyOptions
- Arguments : CallbackCall
- ASTs : clang::query::QuerySession

### - b -

- BindRoot : clang::query::QuerySession

### - c -

- CachedOptions : clang::tidy::FileOptionsProvider
- CallbackCalls : PPCallbacksTracker
- Case : clang::tidy::readability::IdentifierNamingCheck::NamingStyle
- CheckName : clang::tidy::ClangTidyError
- CheckOptions : clang::tidy::ClangTidyOptions
- Checks : clang::tidy::ClangTidyOptions
- Column : Location
- ConfigHandlers : clang::tidy::FileOptionsProvider

### - d -

- DC : Modularize::ModularizeUtilities
- Dependencies : Modularize::ModularizeUtilities
- DiagIDs : Modularize::ModularizeUtilities
- DiagLevel : clang::tidy::ClangTidyError
- DiagnosticOpts : Modularize::ModularizeUtilities
- Diagnostics : Modularize::ModularizeUtilities
- DiagWording : clang::tidy::cert::SetLongJmpCheck
- DisableTrace : PPCallbacksTracker

### - e -

- ErrorsDisplayed : clang::tidy::ClangTidyStats
- ErrorsIgnoredCheckFilter : clang::tidy::ClangTidyStats
- ErrorsIgnoredLineFilter : clang::tidy::ClangTidyStats
- ErrorsIgnoredNOLINT : clang::tidy::ClangTidyStats
- ErrorsIgnoredNonUserCode : clang::tidy::ClangTidyStats
- ErrStr : clang::query::InvalidQuery
- Expression : clang::tidy::modernize::Usage
- ExtraArgs : clang::tidy::ClangTidyOptions
- ExtraArgsBefore : clang::tidy::ClangTidyOptions

### - f -

- File : Location
- FileMgr : Modularize::ModularizeUtilities
- FileOffset : clang::tidy::ClangTidyMessage
- FilePath : clang::tidy::ClangTidyMessage
- FileSystemOpts : Modularize::ModularizeUtilities
- Fix : clang::tidy::ClangTidyError
- Fixup : clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure

### - g -

- GoodFileNames : Modularize::ModularizeUtilities

### - h -

- HasModuleMap : Modularize::ModularizeUtilities
- HeaderContentMismatches : EntityMap
- HeaderFileNames : Modularize::ModularizeUtilities
- HeaderFilterRegex : clang::tidy::ClangTidyOptions
- HeaderInfo : Modularize::ModularizeUtilities
- HeaderPrefix : Modularize::ModularizeUtilities
- HeaderSearchOpts : Modularize::ModularizeUtilities

### - i -

- Ignore : PPCallbacksTracker
- InputFilePaths : Modularize::ModularizeUtilities

### - k -

- Kind : clang::query::Query , clang::tidy::modernize::Usage , Entry
- KindName : clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure

### - l -

- LangOpts : Modularize::ModularizeUtilities
- Line : Location
- LineFilter : clang::tidy::ClangTidyGlobalOptions
- LineRanges : clang::tidy::FileFilter
- Loc : Entry , HeaderEntry

### - m -

- Matcher : clang::query::MatchQuery
- Message : clang::tidy::ClangTidyError , clang::tidy::ClangTidyMessage
- MissingHeaderCount : Modularize::ModularizeUtilities
- ModuleMaps : Modularize::ModularizeUtilities

### - n -

- Name : Argument , CallbackCall , clang::query::LetQuery , clang::tidy::FileFilter , HeaderEntry
- NamedValues : clang::query::QuerySession
- Notes : clang::tidy::ClangTidyError

### - o -

- Options : clang::tidy::ClangTidyCheck , llvm::yaml::NOptionMap
- OutKind : clang::query::QuerySession
- OverrideOptions : clang::tidy::FileOptionsProvider

### - p -

- P : clang::query::QueryParser::LexOrCompleteWord< T >
- PP : PPCallbacksTracker
- Prefix : clang::tidy::readability::IdentifierNamingCheck::NamingStyle
- ProblemFileNames : Modularize::ModularizeUtilities
- ProblemFilesPath : Modularize::ModularizeUtilities

### - r -

- Range : clang::tidy::modernize::Usage
- RawUsageLocs : clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure
- Records : clang::tidy::ProfileData

### - s -

- ShouldFix : clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure
- SourceMgr : Modularize::ModularizeUtilities
- SpellingName : clang::rename::NamedDeclFindingConsumer
- Suffix : clang::tidy::readability::IdentifierNamingCheck::NamingStyle
- Switch : clang::query::QueryParser::LexOrCompleteWord< T >
- SymbolOffset : clang::rename::NamedDeclFindingConsumer
- SystemHeaders : clang::tidy::ClangTidyOptions

### - t -

- Target : Modularize::ModularizeUtilities
- TargetOpts : Modularize::ModularizeUtilities
- Terminate : clang::query::QuerySession

### - u -

- User : clang::tidy::ClangTidyOptions
- USRs : clang::rename::NamedDeclFindingConsumer

### - v -

- Value : Argument , clang::query::LetQuery , clang::query::SetQuery< T >
- value : clang::query::SetQueryKind< bool > , clang::query::SetQueryKind< OutputKind >
- Var : clang::query::SetQuery< T >

### - w -

- Word : clang::query::QueryParser::LexOrCompleteWord< T >
- WordCompletionPos : clang::query::QueryParser::LexOrCompleteWord< T >